Welcome to UltraGet Video Downloader

UltraGet Video Downloader allows you to easily download and play FLV (Flash for Video) videos from YouTube and Google. With this YouTube&Google video downloader, you can grab and save any YouTube and Google videos to your local computer. The internal FLV (Flash for Video) video player enables you to enjoy the downloaded flash videos more easily and smoothly.

Main window

Choose videos

Import selected videos to the program

Start to download videos

Watch videos

Convert videos from YouTube and Google


Main window

Main Window of UltraGet Video Downloader

The main window of UltraGet Video Downloader is illustrated as follows:


Get help

Getting Help

Need help with UltraGet Video Downloader? There are a number of ways to get the help you need.

Help and Documentation ¨C this help documentation includes details on every feature and function of the software.

Online help ¨C you can get help by contacting support@ultraget.com and consulting our technical staff online.


Downloading and Watching Videos from YouTube and Google

With UltraGet Video Downloader, you can download videos from YouTube and Google to enjoy them offline within three steps:

Step One

-Run UltraGet Video Downloader and choose Edit>Options>Online Video to input your YouTube ID and password if you want to download YouTube videos. For Google videos, you just need to visit http://video.google.com to find your desired videos.

Step Two

-Select videos you want to watch on YouTube and Google. Copy the URL link of selected videos.

Step Three

-Click the Import Video button in the program to paste the link you have copied. Double-click the link to start downloading the video. After downloading, just use the built-in FLV player to watch downloaded videos easily.


Sign in YouTube account

Signing in YouTube Account

After you run the program, choose Edit>Options and then click the Online Video tab. You will see a pop-up window as the following:

-Input your user name and password on YouTube.

-Input desired number to set how many times the program retries if an error occurs while downloading. 0 means no retry while error occurs.

-Check Use system internal cache when downloading option to speed up the download.

-Click OK button to apply your settings.


Choose videos you want

Choosing Videos you want on YouTube and Google

You can visit YouTube or Google to find desired videos and copy their URL links. Then you can import the links to UltraGet to start downloading FLV videos.

-For IE users

Double-click the video thumbnail to open it and then copy the link displayed in navigation bar of the browser.

-For Firefox users

Simply right-click on thumbnail of the video and then choose Copy Link Location.

Note

On YouTube, you can only copy the link of those videos with + at left bottom corner directly. Those videos without plus mark need to be open by double-clicking and then copy the URL beside the video not the URL link displayed in navigation bar of your browser.


Import selected videos to the program

Importing Selected Videos to the Program

After you copy the URL link of the video, you need to paste the link to the program for downloading.

There are three ways you can paste the link.

-Simply right-click on the program panel to choose Paste Video URL

-Choose File> Import Video from Internet or just click Import Video tab and then click the icon of folder to add a link by pressing Ctrl+V. After you add all links you want to download, you can click [image] or [image] button to change the downloading order. If you do not like to download the added one, simple click [image] to remove it from this downloading list.


Import selected videos in batch mode

Importing Selected Videos in Batch Mode

Batch collection is supported in UltraGet Video Downloader. You can paste URL links of all videos you want to download into an HTML or a Text file and then import the file to UltraGet. The program can recognize all video links in the file and paste them to the downloading window. You can even input a link of an HTML webpage and the program can also recognize the video link in this page.

Choose File> Parse HTML/Text File menu and you will see a pop-window as follows:

--Click the Browse button to select the HTML or Text file

--If you want to copy all videos from a webpage, just input the link of the webpage here


Start downloading videos

Starting Downloading Videos

After you paste links of all videos you need to the program, you can double-click a link to start downloading this video from YouTube and Google. If you need to download all or selected videos continuously, please refer to the following:

-Downloading all videos

Right-click on any video link to choose Download All Online FLV Files. Then all files will be downloaded one-by-one. The downloaded file will be marked by Complete, while the file readied to download is marked by Waiting.

-Downloading Selected Files

If you just need to download some of files in the downloading list, please check the selection box before them and then have a right-click to choose Download Selected Online FLV.


Watch downloaded videos

Watching Downloaded Videos

A built-in FLV video player is provided in the program. After the download is finished, you can watch the downloaded videos in the program directly. Click the Play button to play selected video.

You can also use other FLV player to play the downloaded videos. You may download and install a free FLV player from

http://www.any-flv-player.com


Open the folder for downloaded videos

Opening the Folder for Downloading Videos

-Open the output folder

After the video is downloaded, you can click the Output Folder button at the left bottom corner of the program window to open the output folder directly. You may watch the video with your own FLV player or transfer the FLV videos to other devices.

You may also choose File>Open Output Folder menu to open the folder of downloaded videos at once. If you want to see all downloaded YouTube or Google videos, you can click the dowloaded videos in the left window.

-Change the output folder

If you want to change the location of the output folder, choose Edit>Options menu and then in the General tab, you can change the location of output folder.


Convert downloaded videos

Converting Downloaded Videos

If you would like to play downloaded FLV videos on your mobile devices, such as iPod, PSP, Zune and cell phones, you may use a program called Any Video Converter to do so. Please visit http://www.any-video-converter.com to know more.